Package net.shibboleth.saml.profile.context.logic

# Class MappedEntityAttributesPredicate.EntityAttributesMatcher

java.lang.Object
net.shibboleth.saml.profile.context.logic.MappedEntityAttributesPredicate.EntityAttributesMatcher

All Implemented Interfaces:
  `Predicate<EntityAttributesPredicate.Candidate>`

Enclosing class:
  MappedEntityAttributesPredicate

private class MappedEntityAttributesPredicate.EntityAttributesMatcher extends Object implements Predicate<EntityAttributesPredicate.Candidate>
Determines whether an `EntityAttributesPredicate.Candidate` criterion is satisfied by the mapped attributes in an entity's metadata.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Multimap<String,? extends IdPAttribute>`
`attributes`
Population to evaluate for a match.

## Constructor Summary

Constructors
Constructor
Description
`EntityAttributesMatcher(Multimap<String,? extends IdPAttribute> attrs)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`private String`
`attributeValueToString(IdPAttributeValue value)`
Convert an IdPAttributeValue to a String if the type is recognized.
`boolean`
`test(EntityAttributesPredicate.Candidate input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### attributes

@Nonnull private final Multimap<String,? extends IdPAttribute> attributes
Population to evaluate for a match.

## Constructor Details

### EntityAttributesMatcher

public EntityAttributesMatcher(@Nonnull Multimap<String,? extends IdPAttribute> attrs)
Constructor.

Parameters:
  `attrs` - population to evaluate for a match

## Method Details

### test

public boolean test(@Nullable EntityAttributesPredicate.Candidate input)

Specified by:
  `test` in interface `Predicate<EntityAttributesPredicate.Candidate>`

### attributeValueToString

@Nullable private String attributeValueToString(@Nonnull IdPAttributeValue value)
Convert an IdPAttributeValue to a String if the type is recognized.

Parameters:
  `value` - object to convert
Returns:
  the converted value, or null